[arch-commits] Commit in gstreamer0.10-ugly/trunk (PKGBUILD fix_compilatin_x264.patch)

Ionut Biru ibiru at archlinux.org
Sun Jan 10 15:48:58 EST 2010


    Date: Sunday, January 10, 2010 @ 15:48:58
  Author: ibiru
Revision: 62656

upgpkg: gstreamer0.10-ugly 0.10.13-2
    x264/ffmpeg rebuild

Added:
  gstreamer0.10-ugly/trunk/fix_compilatin_x264.patch
Modified:
  gstreamer0.10-ugly/trunk/PKGBUILD

---------------------------+
 PKGBUILD                  |   12 ++++++++----
 fix_compilatin_x264.patch |   12 ++++++++++++
 2 files changed, 20 insertions(+), 4 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-01-10 20:35:51 UTC (rev 62655)
+++ PKGBUILD	2010-01-10 20:48:58 UTC (rev 62656)
@@ -7,14 +7,18 @@
 pkgrel=2
 arch=(i686 x86_64)
 license=('LGPL')
-makedepends=('pkgconfig' 'gstreamer0.10-base>=0.10.25' 'libdvdread>=4.1.3' 'lame>=3.98.2' 'libmpeg2>=0.5.1' 'a52dec>=0.7.4' 'libid3tag>=0.15.1b' 'libmad>=0.15.1b' 'libsidplay>=1.36.59' 'libcdio>=0.82' 'x264>=20090416')
+makedepends=('pkgconfig' 'gstreamer0.10-base>=0.10.25' 'libdvdread>=4.1.3' 'lame>=3.98.2' 'libmpeg2>=0.5.1' 'a52dec>=0.7.4' 'libid3tag>=0.15.1b' 'libmad>=0.15.1b' 'libsidplay>=1.36.59' 'libcdio>=0.82' 'x264>=20100107')
 url="http://gstreamer.freedesktop.org/"
 options=(!libtool)
-source=(${url}/src/gst-plugins-ugly/gst-plugins-ugly-${pkgver}.tar.bz2)
-md5sums=('1619365247ef9cd7da1cd890285bf87a')
+source=(${url}/src/gst-plugins-ugly/gst-plugins-ugly-${pkgver}.tar.bz2
+	fix_compilatin_x264.patch)
+md5sums=('1619365247ef9cd7da1cd890285bf87a'
+         '5efe376271287669a8525871307c5ddf')
 
 build() {
   cd "${srcdir}/gst-plugins-ugly-${pkgver}"
+  patch -Np1 -i ${srcdir}/fix_compilatin_x264.patch || return 1
+
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
     --disable-static --enable-experimental \
     --with-package-name="GStreamer Ugly Plugins (Archlinux)" \
@@ -34,7 +38,7 @@
 
 package_gstreamer0.10-ugly-plugins() {
   pkgdesc="GStreamer Multimedia Framework Ugly Plugins (gst-plugins-ugly)"
-  depends=("gstreamer0.10-ugly=${pkgver}" 'libdvdread>=4.1.3' 'lame>=3.98.2' 'libmpeg2>=0.5.1' 'a52dec>=0.7.4' 'libid3tag>=0.15.1b' 'libmad>=0.15.1b' 'libsidplay>=1.36.59' 'libcdio>=0.82' 'x264=20090416')
+  depends=("gstreamer0.10-ugly=${pkgver}" 'libdvdread>=4.1.3' 'lame>=3.98.2' 'libmpeg2>=0.5.1' 'a52dec>=0.7.4' 'libid3tag>=0.15.1b' 'libmad>=0.15.1b' 'libsidplay>=1.36.59' 'libcdio>=0.82' 'x264=20100107')
   groups=('gstreamer0.10-plugins')
   replaces=('gstreamer0.10-dvdread' 'gstreamer0.10-mpeg2dec' 'gstreamer0.10-mad' 'gstreamer0.10-lame' 'gstreamer0.10-sidplay' 'gstreamer0.10-a52dec')
   conflicts=('gstreamer0.10-dvdread' 'gstreamer0.10-mpeg2dec' 'gstreamer0.10-mad' 'gstreamer0.10-lame' 'gstreamer0.10-sidplay' 'gstreamer0.10-a52dec')

Added: fix_compilatin_x264.patch
===================================================================
--- fix_compilatin_x264.patch	                        (rev 0)
+++ fix_compilatin_x264.patch	2010-01-10 20:48:58 UTC (rev 62656)
@@ -0,0 +1,12 @@
+diff -Nur gst-plugins-ugly-0.10.13.orig/ext/x264/gstx264enc.c gst-plugins-ugly-0.10.13/ext/x264/gstx264enc.c
+--- gst-plugins-ugly-0.10.13.orig/ext/x264/gstx264enc.c	2010-01-10 22:43:15.000000000 +0200
++++ gst-plugins-ugly-0.10.13/ext/x264/gstx264enc.c	2010-01-10 22:42:42.000000000 +0200
+@@ -582,7 +582,7 @@
+   encoder->x264param.analyse.i_noise_reduction = encoder->noise_reduction;
+   encoder->x264param.i_frame_reference = encoder->ref;
+   encoder->x264param.i_bframe = encoder->bframes;
+-  encoder->x264param.b_bframe_pyramid = encoder->b_pyramid;
++  encoder->x264param.i_bframe_pyramid = encoder->b_pyramid;
+ #if X264_BUILD < 63
+   encoder->x264param.b_bframe_adaptive = encoder->b_adapt;
+ #else



More information about the arch-commits mailing list